
QGIS Application - Bug report #21307

Crash on Edit Vertex

2019-02-19 03:51 AM - Gabriel De Luca

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.5(master) Regression?: No

Operating System: Windows 10 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 29125

Description

In Windows 10, 64bit.

qgis 3.4.4-3 and qgis-dev 3.5.0-96

libspatialindex 1.9.0-1 (I was seeing other issues and maybe it's relevant).

With a clean profile. Without plugins.

We can't edit a vertex without a crash.

Crash ID: 29e477876482ac467807c080b89d67c79639207a

Stack Trace

QUndoStack::endMacro :

QVector::removeAt :

QgisApp::actionAbout :

QStyledItemDelegate::setModelData :

QgisApp::actionAbout :

QAbstractItemView::commitData :

QMetaObject::activate :

QAbstractItemDelegate::~QAbstractItemDelegate :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QVector::removeAt :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgisApp::actionAbout :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.5.0-Master

QGIS code revision: b711ef01f8

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-02-19 08:48 PM - Giovanni Manghi

- Operating System changed from Winows 10, 64 bit. to Windows 10 64 bit

- Status changed from Open to Feedback

- Priority changed from Normal to High

Tested 3.4.4 and master on a clean Windows environment, no crashes.

#2 - 2019-02-20 03:26 AM - Gabriel De Luca

Giovanni Manghi wrote:

Tested 3.4.4 and master on a clean Windows environment, no crashes.

I have started Windows in safe mode.

I have permanently deleted the OSGeo4W, AppData\Local\QGIS and Roaming\QGIS folders. (I don't have a previous stand-alone install in this machine.)

I have repaired the registry keys.

I have installed QGIS again.

I have rebooted the system in each step.

And it continues to fail.

Any idea where the inconvenience may be?

I'm missing a step to clean up the environment?

(I can not format drive C.)

#3 - 2019-02-20 11:08 AM - Giovanni Manghi

Gabriel De Luca wrote:

Giovanni Manghi wrote:

Tested 3.4.4 and master on a clean Windows environment, no crashes.
I have started Windows in safe mode.

I have permanently deleted the OSGeo4W, AppData\Local\QGIS and Roaming\QGIS folders. (I don't have a previous stand-alone install in this

machine.)

I have repaired the registry keys.

I have installed QGIS again.

I have rebooted the system in each step.

And it continues to fail.

Any idea where the inconvenience may be?

I'm missing a step to clean up the environment?

(I can not format drive C.)

add the exact steps you follow, or even better attach a screencast.

#4 - 2019-02-20 04:58 PM - Gabriel De Luca

- File vertex.png added

Giovanni Manghi wrote:

add the exact steps you follow, or even better attach a screencast.

Screencast attached.

#5 - 2019-02-20 07:42 PM - Richard Duivenvoorde

Confirmed here with current QGIS master (on Linux):

project epsg:4326

create a new point layer and save as geopackage

add 2 points

go to edit vertex

change x coordinate to 0

crash

Could it be related to: #21325 ?

#6 - 2019-02-21 11:36 AM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2019-02-21 01:03 PM - Martin Dobias

I cannot replicate.

Richard, can you post your traceback from linux?

2025-04-27 3/5



#8 - 2019-02-21 01:06 PM - Martin Dobias

Also, does it need to be a geopackage? would it crash with a temporary scratch layer too? What if you first save the newly added points - would it crash

anyway?

#9 - 2019-02-21 02:05 PM - Giovanni Manghi

- Status changed from Open to Feedback

#10 - 2019-02-21 04:58 PM - Gabriel De Luca

Martin Dobias wrote:

Also, does it need to be a geopackage? would it crash with a temporary scratch layer too? What if you first save the newly added points - would it

crash anyway?

In my case, it does not need to be a geopackage. It can be a temporary layer. Also a shapefile.

It does not need to be a points layer, can be linestrings or polygons.

Also, does not need to be when changing the coordinate to zero. Can be any integer or decimal number.

And it does not need to be in EPSG:4326. Can be any CRS.

Saving the edits don't avoid the crash.

But does not always crash on the first edit. My best record was to make three consecutive edits-saves without a crash.

#11 - 2019-02-22 11:59 PM - Gabriel De Luca

I can't reproduce it now after install qgis-dev-3.5.0-100.

It was fixed?

#12 - 2019-02-23 10:48 PM - Giovanni Manghi

- Resolution set to fixed/implemented

Gabriel De Luca wrote:

I can't reproduce it now after install qgis-dev-3.5.0-100.

It was fixed?

reopen if necessary.

#13 - 2019-03-09 07:58 PM - Giovanni Manghi

- Status changed from Feedback to Closed
Files

vertex.zip 8.18 KB 2019-02-19 Gabriel De Luca

vertex.png 3.86 MB 2019-02-20 Gabriel De Luca
